org.apache.nutch.api

## Enum JobManager.JobType

- java.lang.Object
- - java.lang.Enum<JobManager.JobType>
  - - org.apache.nutch.api.JobManager.JobType

- All Implemented Interfaces:
    Serializable, Comparable<JobManager.JobType>
  Enclosing interface:
    JobManager

      public static enum JobManager.JobType
      extends Enum<JobManager.JobType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASS`
    `FETCH`
    `GENERATE`
    `INDEX`
    `INJECT`
    `PARSE`
    `READDB`
    `UPDATEDB`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JobManager.JobType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JobManager.JobType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INJECT

          public static final JobManager.JobType INJECT

    - #### GENERATE

          public static final JobManager.JobType GENERATE

    - #### FETCH

          public static final JobManager.JobType FETCH

    - #### PARSE

          public static final JobManager.JobType PARSE

    - #### UPDATEDB

          public static final JobManager.JobType UPDATEDB

    - #### INDEX

          public static final JobManager.JobType INDEX

    - #### READDB

          public static final JobManager.JobType READDB

    - #### CLASS

          public static final JobManager.JobType CLASS

  - ### Method Detail

    - #### values

          public static JobManager.JobType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JobManager.JobType c : JobManager.JobType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JobManager.JobType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 The Apache Software Foundation